# class AsnTag | Class for ASN.1 tags. More...
Full name | `TelEngine::AsnTag`
Definition | `#include <libs/yasn/yateasn.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Class { Universal = 0x00, Application = 0x40, Context = 0x80, Private = 0xc0, }
- enum Type { Primitive = 0x00, Constructor = 0x20, }

#### Public Methods

- inline AsnTag ()
- inline AsnTag (Class clas, Type type, unsigned int code)
- inline ~AsnTag ()
- inline void encode ()
- inline bool operator== (const AsnTag& tag) const
- inline bool operator!= (const AsnTag& tag) const
- inline AsnTag& operator= (const AsnTag& value)
- inline const Class classType () const
- inline void classType (Class clas)
- inline const Type type () const
- inline void type (Type type)
- inline const unsigned int code () const
- inline void code (unsigned int code)
- inline const DataBlock& coding () const

#### Public Static Methods

- static void decode (AsnTag& tag, DataBlock& data)
- static void encode (Class clas, Type type, unsigned int code, DataBlock& data)

## Detailed Description

Class AsnTag

enum Class { Universal = 0x00, Application = 0x40, Context = 0x80, Private = 0xc0, } | ### Class

ASN.1 Tag class types enum

enum Type { Primitive = 0x00, Constructor = 0x20, } | ### Type

ASN.1 Type of tag enum

inline AsnTag () | ### AsnTag

Constructor

inline AsnTag (Class clas, Type type, unsigned int code) | ### AsnTag

Constructor

Parameters:

clas | Class of the ASN.1 Tag
type | Type of the ASN.1 Tag
code | Code ot the ASN.1 Tag

inline ~AsnTag () | ### ~AsnTag

Destructor

void decode (AsnTag& tag, DataBlock& data) | ### decode

[static]

Decode an ASN.1 tag from the given data

Parameters:

tag | Tag to fill
data | Data from which the tag should be filled

void encode (Class clas, Type type, unsigned int code, DataBlock& data) | ### encode

[static]

Encode an ASN.1 tag and put the encoded form into the given data

Parameters:

clas | Class of the tag
type | Type of the tag
code | Tag code
data | DataBlock into which to insert the encoded tag

inline void encode () | ### encode

Encode self

inline bool operator== (const AsnTag& tag) | ### operator==

[const]

Equality operator

inline bool operator!= (const AsnTag& tag) | ### operator!=

[const]

Inequality operator

inline AsnTag& operator= (const AsnTag& value) | ### operator=

Assignment operator

inline const Class classType () | ### classType

[const]

Get the tag class

Returns: The class of the tag

inline void classType (Class clas) | ### classType

Set the tag class

Parameters:

clas | The clas to set for the tag

inline const Type type () | ### type

[const]

Get the tag type

Returns: The type of the tag

inline void type (Type type) | ### type

Set the tag type

Parameters:

type | The type to set for the tag

inline const unsigned int code () | ### code

[const]

Get the tag code

Returns: The code of the tag

inline void code (unsigned int code) | ### code

Set the tag code

Parameters:

code | The code to set for the tag

inline const DataBlock& coding () | ### coding

[const]

Get the tag encoding

Returns: The DataBlock containing the encoding for the tag

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.